Package com.documentum.registry

# Class DfRegistryKey

java.lang.Object
com.documentum.registry.DfRegistryKey

public class DfRegistryKey extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final char`
  `KEY_DELIMITER`
  `static final char`
  `SECTION_END`
  `static final char`
  `SECTION_START`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfRegistryKey(String name, DfRegistryKey parent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEntry(String name, String value)`
  `void`
  `addSubkey(String name)`
  `boolean`
  `containsEntry(String name)`
  `String[]`
  `entries()`
  `String`
  `getEntry(String name)`
  `String`
  `getFullKeyName()`
  `String`
  `getName()`
  `DfRegistryKey`
  `getParent()`
  `String`
  `getRootSubkeyName()`
  `DfRegistryKey`
  `getSubkey(String name)`
  `String[]`
  `parseFullName(String fullName)`
  `void`
  `removeEntry(String name)`
  `String[]`
  `subkeys()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### KEY_DELIMITER

    public static final char KEY_DELIMITER
    See Also:
      - Constant Field Values

  - ### SECTION_START

    public static final char SECTION_START
    See Also:
      - Constant Field Values

  - ### SECTION_END

    public static final char SECTION_END
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DfRegistryKey

    public DfRegistryKey(String name, DfRegistryKey parent)

- ## Method Details

  - ### addSubkey

    public void addSubkey(String name)

  - ### getSubkey

    public DfRegistryKey getSubkey(String name)

  - ### getParent

    public DfRegistryKey getParent()

  - ### addEntry

    public void addEntry(String name, String value)

  - ### getEntry

    public String getEntry(String name)

  - ### containsEntry

    public boolean containsEntry(String name)

  - ### subkeys

    public String[] subkeys()

  - ### entries

    public String[] entries()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()

  - ### getFullKeyName

    public String getFullKeyName()

  - ### getRootSubkeyName

    public String getRootSubkeyName()

  - ### parseFullName

    public String[] parseFullName(String fullName)

  - ### removeEntry

    public void removeEntry(String name)